// Character data - information about animation of character
#include "gameland.h"

/*
typedef struct chanimi_ {
	u16 * sprdata;	// sprdata: starts with each direction (8 dirs) then has other stuff...
					// directions start at top and go clockwise
	chaniminfo walk[4]; // up, right, down, left
	chaniminfo other[]; // additional optional animations :)
} chanim; // character animation struct

typedef struct chardata_ { // constant character data
	chanim * anim;
	char * name;
	// put other important data here!
} chardata;

typedef struct charinfo_ { // variable character info
	chardata * chdata; // info about character
	mapdata * currentmap; // where he's at
	mappos loc;	// where in the map
	u32 state;	// character state, what he's doing
	u8 direction; // facing/moving direction
	u8 needupdate; // tells animation system if something has changed since last update
	u16 animframe; // trame in animation that is currently running...

	// add more stuff here
} charinfo;
*/
const chanim maincharanim = {
	(u16 *) spritedata_tile,
	{	// walk[4]
		{ 8,8 },	// walk up
		{ 8,16 },	// walk right
		{ 8,24 },	// walk down
		{ 8,32 }		// walk left
	},
	{	// other[]

	}
};

const chanim charanims1 =
	{	// brother
		(u16 *) &spritedata_tile[40*256],
		{	// walk[4]
			{ 8,8 },	// walk up
			{ 8,16 },	// walk right
			{ 8,24 },	// walk down
			{ 8,32 }		// walk left
		},
		{	// other[]
		}
	};
const chanim charanims2 =
	{	// friend 1
		(u16 *) &spritedata_tile[80*256],
		{	// walk[4]
			{ 8,8 },	// walk up
			{ 8,16 },	// walk right
			{ 8,24 },	// walk down
			{ 8,32 }		// walk left
		},
		{	// other[]
		}
	};
const chanim charanims3 =
	{	// friend 2
		(u16 *) &spritedata_tile[120*256],
		{	// walk[4]
			{ 8,8 },	// walk up
			{ 8,16 },	// walk right
			{ 8,24 },	// walk down
			{ 8,32 }		// walk left
		},
		{	// other[]
		}
	};
const chanim charanims4 =
	{	// person (checker outer)
		(u16 *) &spritedata_tile[160*256],
		{	// walk[4]
			{ 8,8 },	// walk up
			{ 8,16 },	// walk right
			{ 8,24 },	// walk down
			{ 8,32 }		// walk left
		},
		{	// other[]
		}
	};
const chanim charanims5 =
	{	// geek 1
		(u16 *) &spritedata_tile[200*256],
		{	// walk[4]
			{ 8,8 },	// walk up
			{ 8,16 },	// walk right
			{ 8,24 },	// walk down
			{ 8,32 }		// walk left
		},
		{	// other[]
		}
	};
const chanim charanims6 =
	{	// geek 2
		(u16 *) &spritedata_tile[240*256],
		{	// walk[4]
			{ 8,8 },	// walk up
			{ 8,16 },	// walk right
			{ 8,24 },	// walk down
			{ 8,32 }		// walk left
		},
		{	// other[]
		}
	};
const chanim charanims7 =
	{	// geek 3
		(u16 *) &spritedata_tile[280*256],
		{	// walk[4]
			{ 0,0 },	// walk up
			{ 0,2 },	// walk right
			{ 0,4 },	// walk down
			{ 0,8 }		// walk left
		},
		{	// other[]
		}
	};

chardata mainchardata = {
	(chanim *) &maincharanim,"bob"
};
const chardata checkerdata = {
	(chanim *) &charanims4,"june"
};
const chardata geek1 = {
	(chanim *) &charanims5,"a"
};
const chardata geek2 = {
	(chanim *) &charanims6,"b"
};


charinfo mainchar = {
	(chardata *) &mainchardata,
	NULL,
	{5,5},
	0,0,0,0,0
};
const charinfo otherchars[] = {
	{
		(chardata *) &checkerdata,
		(mapdata *)&storemap,
		{14,15},
		0,6,0,0,0
	},
//	{
//		(chardata *) &checkerdata,
//		(mapdata *)&storemap,
//		{14,18},
//		0,6,0,0,0
//	},

//	{
//		(chardata *) &geek1,
//		(mapdata *)&arcademap,
//		{11,14},
//		0,7,0,0,0
//	},
	{
		(chardata *) &geek2,
		(mapdata *)&arcademap,
		{12,13},
		0,6,0,0,0
	}
};