#include "gameland.h"

void FadeOutWhite(u16 len) {
	BLDMOD=0x00BF; // increase brightness
	u16 i;
	for(i=0;i<len;i++) {
		WaitVblank();
		COLY=i/4;
	}
	COLY=16;
}

void FadeInWhite(u16 len) {
	BLDMOD=0x00BF; // increase brightness
	u16 i;
	for(i=len;i>0;i--) {
		WaitVblank();
		COLY=i/4;
	}
	COLY=0;
	BLDMOD=0; // done fading
}

void FadeOutBlack(u16 len) {
	BLDMOD=0x00FF;
	u16 i;
	for(i=0;i<len;i++) {
		WaitVblank();
		COLY=i/2;
	}
	COLY=16;
}

void FadeInBlack(u16 len) {
	BLDMOD=0x00FF;
	u16 i;
	for(i=len;i>0;i--) {
		WaitVblank();
		COLY=i/2;
	}
	COLY=0;
	BLDMOD=0; // our job is done
}

void WaitKey(u16 len, u16 keymask) {
	u16 i;
	for(i=0;i<len;i++) {
		WaitVblank();
		if(KeyPressed(keymask)) break;
	}
}
