// gameland.c - Stephen Stair 2003

#include "gameland.h"

void AgbMain(void)
{
//	u32 i;
	ResetTileSet();

	DISPSTAT=0x0008; // vblank intr
	kragInit(KRAG_INIT_STEREO);
	SetupGBCSound();
	krapPlay(&mod_dgintro,KRAP_MODE_LOOP,0);
	IE=0x0031;	// timer1,timer2,vblank
	IME=1;

	BLDMOD=0x00BF; // increase brightness
	COLY=16;		// full bright
	DISPCNT=0x0403; // 16bit gfx mode, enable screen
	
	
	RLE16decompress((u16 *)intro1,VRAM,240*160);
	UpdateKeys();
	FadeInWhite(64);
	
	WaitKey(192,KEY_A | KEY_START | KEY_B);

	FadeOutBlack(32);
	RLE16decompress((u16 *)titdat,VRAM,240*160);
	FadeInBlack(32);
	do {
		WaitVblank();
	} while(!KeyPressed(KEY_START));
	FadeOutBlack(32);
	u32 state;
	state=0;
	// main game loop :)
	// states: 0=main menu, 1=credits, 2=instructions, 3=game

	rpg_gameloop();
	do {

		WaitVblank();
	//	kramWorker();


		switch(state) {
		case 0:

			break;
		case 1:

			break;
		case 2:

			break;
		case 3:

			break;
		}

	} while(1);
}



