#include "gameland.h"

const struct GBCsounddata sounddata[]= {
	{1,0x08,0x80,0xf1,0xf0,0x86},	// select
	{1,0x75,0x80,0xf2,0x40,0x84},	// accept
	{1,0x4C,0x80,0xf2,0x50,0x84},	// back
	{2,0x00,0x9F,0xF1,0x40,0xC7},	// message bip 1
	{2,0x00,0x9F,0xF1,0xF0,0xC6}	// message bip 2

};

void PlayGBCSound(u8 soundnum) {
	u16 L0,H0,X1;
	if(soundnum==0) return;
	soundnum--;
		L0=sounddata[soundnum].NRx0;
		H0=sounddata[soundnum].NRx1|(sounddata[soundnum].NRx2<<8);
		X1=sounddata[soundnum].NRx3|(sounddata[soundnum].NRx4<<8);
	switch(sounddata[soundnum].soundtype) {
	case 1:
		SOUND1CNT_L=L0;
		SOUND1CNT_H=H0;
		SOUND1CNT_X=X1;
		H0=X1;
		L0=H0;
		SOUND1CNT_X=L0;
		break;
	case 2:
		SOUND2CNT_L=H0;
		SOUND2CNT_H=X1;
		break;
	case 3:
		SOUND3CNT_L=L0;
		SOUND3CNT_H=H0;
		SOUND3CNT_X=X1;
		break;
	case 4:
		SOUND4CNT_L=H0;
		SOUND4CNT_H=X1;
		break;
	}

}

void SetupGBCSound(void) {
	SOUNDCNT_X=0x0080;
	SOUNDCNT_H=(SOUNDCNT_H & 0xFFFC) | 2; // don't disturb dsound flags
	SOUNDCNT_L=0xff77; // don't disturb dsound flags

}
