VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4725
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6750
   LinkTopic       =   "Form1"
   ScaleHeight     =   4725
   ScaleWidth      =   6750
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command3 
      Caption         =   "Set"
      Height          =   255
      Left            =   5760
      TabIndex        =   11
      Top             =   1560
      Width           =   495
   End
   Begin VB.TextBox Text4 
      Height          =   285
      Left            =   4920
      TabIndex        =   10
      Text            =   "Text4"
      Top             =   1560
      Width           =   735
   End
   Begin VB.ListBox List2 
      Height          =   3375
      Left            =   3600
      TabIndex        =   9
      Top             =   960
      Width           =   1095
   End
   Begin VB.ListBox List1 
      Height          =   3375
      Left            =   2400
      TabIndex        =   8
      Top             =   960
      Width           =   1215
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   3615
      Left            =   2040
      TabIndex        =   7
      Top             =   960
      Width           =   255
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Export"
      Height          =   255
      Left            =   4440
      TabIndex        =   6
      Top             =   480
      Width           =   1335
   End
   Begin VB.TextBox Text3 
      Height          =   285
      Left            =   3000
      TabIndex        =   5
      Text            =   "Text3"
      Top             =   480
      Width           =   1335
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   120
      TabIndex        =   4
      Text            =   "Text2"
      Top             =   480
      Width           =   2775
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Load"
      Height          =   255
      Left            =   4560
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   120
      Width           =   4215
   End
   Begin VB.PictureBox Picture2 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   495
      Left            =   5280
      ScaleHeight     =   29
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   77
      TabIndex        =   1
      Top             =   120
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.PictureBox Picture1 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H80000005&
      ForeColor       =   &H80000008&
      Height          =   3615
      Left            =   120
      ScaleHeight     =   239
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   127
      TabIndex        =   0
      Top             =   960
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   2175
      Left            =   4920
      TabIndex        =   12
      Top             =   2280
      Width           =   1575
   End
   Begin VB.Shape Shape1 
      FillStyle       =   0  'Solid
      Height          =   495
      Left            =   4920
      Top             =   960
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim colors(512) As Long
Dim remap(512) As Integer
Dim numcolors As Long
Dim mapdata() As Integer
Dim heightbmp As Long
Dim ready As Integer
Dim listsel As Integer

Public Function pc2gba(color As Long) As Integer
Dim r, g, b
r = color Mod 256
g = (color \ 256) Mod 256
b = (color \ 65536) Mod 256
pc2gba = r \ 8 + (g \ 8) * 32 + (b \ 8) * 32 * 32
End Function
Private Sub Command1_Click()
Dim x As Long, y As Long
Picture2.Picture = LoadPicture(Text1)
heightbmp = Picture2.ScaleHeight
ReDim mapdata(16 * heightbmp)
numcolors = 0
For y = 0 To heightbmp - 1
For x = 0 To 15
    cl = Picture2.Point(x, y)
    c = numcolors
    For i = 0 To numcolors - 1
        If (colors(i) = cl) Then c = i: Exit For
    Next i
    If c = numcolors Then colors(c) = cl: numcolors = numcolors + 1: remap(c) = c
    mapdata(y * 16 + x) = c
Next x
Label1 = "Loading..." + vbCrLf + Str(numcolors) + " Colors"
DoEvents
Next y
ready = 1
redraw
updatelist
Label1 = Str(heightbmp \ 16) + " Tiles" + vbCrLf + Str(numcolors) + " Colors"
End Sub

Private Sub Command2_Click()
Open Text2 For Output As #1
Print #1, "// output file from sprcnv - for gameland project"
Print #1, "#include ""gba.h"""
Print #1, "const u16 " + Text3 + "_pal[] = {"
    For i = 0 To 255
        If i Mod 16 = 0 Then Print #1, "    ";
        cl = -1
        For j = 0 To numcolors
            If (remap(j) = i) Then cl = j: Exit For
        Next j
        If cl = -1 Then
            Print #1, "0";
        Else
            Print #1, pc2gba(colors(cl));
        End If
        If i <> 255 Then Print #1, ",";
        If i Mod 16 = 15 Then Print #1, ""
    Next i
Print #1, "};"
Print #1, ""
Print #1, "const u32 " + Text3 + "_numtiles =" + Str((heightbmp \ 16)) + ";"
Print #1, "const u8 " + Text3 + "_tile[] = {"
For i = 0 To heightbmp \ 16 - 1
    For n = 0 To 3
        nn = (n Mod 2) * 8 + (n \ 2) * 8 * 16
        Print #1, "    ";
        For y = 0 To 7
        For x = 0 To 7
            Print #1, remap(mapdata(i * 256 + x + nn + y * 16));
            If i = heightbmp \ 16 - 1 And n = 3 And y = 7 And x = 7 Then
                'do nothign
            Else
                Print #1, ",";
            End If
        Next x, y
        Print #1, ""
    Next n
    
Next i
Print #1, "};"
Print #1, ""

Close

End Sub

Private Sub Command3_Click()
remap(listsel) = Text4
updatelist
End Sub

Private Sub List1_Click()
If List1.ListIndex <> listsel Then
    listsel = List1.ListIndex
    List2.ListIndex = listsel
    updatelistsel
End If
End Sub

Private Sub List2_Click()
If List2.ListIndex <> listsel Then
    listsel = List2.ListIndex
    List1.ListIndex = listsel
    updatelistsel
End If
End Sub

Private Sub redraw()
If ready = 0 Then Exit Sub
ht = Picture1.ScaleHeight / 2
a = heightbmp - ht
If (a < 0) Then ht = ht + a: a = 0
VScroll1.Max = a
StretchBlt Picture1.hdc, Picture1.ScaleWidth \ 2 - 16, 0, 32, ht * 2, Picture2.hdc, 0, VScroll1.Value, 16, ht, vbSrcCopy
Picture1.Refresh
End Sub
Private Sub updatelist()
List1.Clear
List2.Clear
For i = 0 To numcolors - 1
List1.AddItem Hex(colors(i))
List2.AddItem remap(i)
Next i
If numcolors > 0 Then List1.ListIndex = listsel: List2.ListIndex = listsel
updatelistsel
End Sub
Private Sub updatelistsel()
If numcolors = 0 Then Exit Sub
Shape1.FillColor = colors(listsel)
Text4 = remap(listsel)

End Sub
